Probleme d'export .tri

Added by Joani Couma almost 9 years ago

Bonjour à tous,

J'aimerai savoir comment réaliser un export d'un .blend texturé en .tri

en suivant ce tuto http://memak.raydium.org/viewtopic.php?f=3&t=903 du site de raydium je n'arrive pas à installer le script sur blender 2.64 (windows 7) la derniere version utilisé dans le topic est la 2.48 apparemment j'espère que ça ne pose pas un problème de compatibilité...

Si quelqu'un peut m'expliquer .. (c'est pas le premier script blender que j'installe mais celui là il ne veut pas :( )


Replies (2)

RE: Probleme d'export .tri - Added by Joani Couma almost 9 years ago

Bon je me réponds à moi même vu que j'ai été un peu trop rapide à demander de l'aide ...

La solution est un peu bancale mais bon...

-> Installer Blender 2.48a (ça marche avec celle là, je ne sais pas jusqu'à quelle version le script est compatible) puis Python 2.5.2 (j'ai du aller le chercher manuellement car es dernières version de Python ne sont pas compatible avec cette version de Blender..) ensuite trouver le dossier .script de blender (qui pour moi ne se trouvais pas du tout au bon endroit, mais dans le dossier caché AppData/Roaming/Blender Fundation/Blender/.blender/script - dans mon dossier Utilisateur à mon nom) y mettre le script python http://ftp.cqfd-corp.org/triEXP-B2-36.v3.py (enregistrer la cible du lien sous) puis lancer blender 2.48 ...

Je ne sais même pas si cela va résoudre réellement le problème car il y a des problèmes de compatibilité entre les 2 version de Blender et le modèle créé/texturé sur la 2.64 ne render plus sur la 2.48, je vais tout de meme tester l'export en .tri et tester avec notre simu pour voir ce que ça donne...

RE: Probleme d'export .tri - Added by Jacques LAFFONT almost 9 years ago

Le plus simple est d'utiliser la dernière version du sdk windows
[[http://freeway.raydium.org/data/raydium_win32_sdk_1143.7z]]

Le script est intégré avec la bonne version de blender 2.64a

Attention cependant suite à la révision 1140 les anciens projets risquent de ne plus fonctionner. Si c'est le cas ajouter le fichier compat.c au projet de la dll et reconstruire la dll.

(1-2/2)